Changes of Revision 38
debian.changelog
Changed
x
1
2
+roundcubemail (1:1.1~dev20140811-0~kolab4) unstable; urgency=low
3
+
4
+ * don't die on postinst errors
5
+ * renamed apache config from sitename to sitename.conf
6
+
7
+ -- Daniel Hoffend <dh@dotlan.net> Mon, 15 Sep 2014 15:15:39 +0100
8
+
9
roundcubemail (1:1.1~dev20140811-0~kolab3) unstable; urgency=low
10
11
* added database update for debian
12
debian.rules
Changed
10
1
2
3
# Install apache2 configuration
4
mkdir -p $(CURDIR)/debian/roundcubemail/etc/apache2/sites-available
5
- install -pm 644 $(CURDIR)/debian/conf/roundcubemail.conf $(CURDIR)/debian/roundcubemail/etc/apache2/sites-available/roundcubemail
6
+ install -pm 644 $(CURDIR)/debian/conf/roundcubemail.conf $(CURDIR)/debian/roundcubemail/etc/apache2/sites-available/roundcubemail.conf
7
8
override_dh_compress:
9
dh_compress -Xsql
10
debian.tar.gz/postinst
Changed
23
1
2
update_database() {
3
/usr/share/roundcubemail/bin/updatedb.sh \
4
--dir /usr/share/doc/roundcubemail/SQL/ \
5
- --package roundcube || : \
6
- >/dev/null 2>&1
7
+ --package roundcube \
8
+ >/dev/null 2>&1 || :
9
}
10
11
12
13
configure)
14
fixperms
15
update_database
16
- if [ -e "/etc/apache2/sites-available/roundcubemail" -a ! -e "/etc/apache2/sites-enabled/roundcubemail" ]; then
17
- a2ensite roundcubemail
18
+ if [ -e "/etc/apache2/sites-available/roundcubemail.conf" -a ! -e "/etc/apache2/sites-enabled/roundcubemail.conf" ]; then
19
+ a2ensite roundcubemail.conf
20
reload_apache reload
21
fi
22
;;
23
debian.tar.gz/preinst
Added
32
1
2
+#!/bin/sh
3
+
4
+set -e
5
+
6
+reload_apache()
7
+{
8
+ if apache2ctl configtest 2>/dev/null; then
9
+ invoke-rc.d apache2 $1 || true
10
+ else
11
+ echo "Your apache2 configuration is broken, so we're not restarting it for you."
12
+ fi
13
+}
14
+
15
+
16
+case "$1" in
17
+ upgrade|install)
18
+ # rename old apache/http sites rom sitename to sitename.conf
19
+ if [ -e /etc/apache2/sites-available/roundcubemail -a ! -e /etc/apache2/sites-available/roundcubemail.conf ]; then
20
+ if [ -h /etc/apache2/sites-enabled/roundcubemail ]; then
21
+ a2dissite roundcubemail
22
+ fi
23
+ mv /etc/apache2/sites-available/roundcubemail /etc/apache2/sites-available/roundcubemail.conf
24
+ a2ensite roundcubemail.conf
25
+ reload_apache
26
+ fi
27
+ ;;
28
+esac
29
+
30
+exit 0
31
+
32
roundcubemail.dsc
Changed
10
1
2
Source: roundcubemail
3
Binary: roundcubemail
4
Architecture: all
5
-Version: 1:1.1~dev20140404-0~kolab3
6
+Version: 1:1.1~dev20140404-0~kolab4
7
Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
8
Uploaders: Vincent Bernat <bernat@debian.org>, Romain Beauxis <toots@rastageeks.org>, Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>, Paul Klos <kolab@klos2day.nl>
9
Homepage: http://www.roundcube.net/
10